<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="com.lukouguoji.module_base.ui.weight.data.layout.DataLayoutType" />

        <import type="com.lukouguoji.module_base.common.DetailsPageType" />

        <variable
            name="viewModel"
            type="com.lukouguoji.gjj.viewModel.GjjManifestAddViewModel" />
    </data>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/color_f2">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <include layout="@layout/title_tool_bar" />

            <!-- 主内容区域 -->
            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="15dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/bg_white_radius_8"
                        android:orientation="vertical"
                        android:padding="8dp">

                        <!-- 第1行：航班日期、航班号、航程（全部禁止编辑） -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                enable="@{false}"
                                hint='@{"请选择航班日期"}'
                                required="@{false}"
                                title='@{"航班日期"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.DATE}"
                                value='@={viewModel.flightDate}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                enable="@{false}"
                                hint='@{"请输入航班号"}'
                                required="@{false}"
                                title='@{"航 班 号"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.flightNo}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                enable="@{false}"
                                hint='@{"请输入航程"}'
                                required="@{false}"
                                title='@{"航    程"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.range}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                        </LinearLayout>

                        <!-- 第2行：运单号（禁止编辑）、代理、特码 -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:orientation="horizontal">

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                enable="@{false}"
                                hint='@{"请输入运单号"}'
                                required="@{false}"
                                title='@{"运 单 号"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.waybillNo}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请选择代理"}'
                                list="@{viewModel.agentList}"
                                required="@{false}"
                                title='@{"代    理"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.SPINNER}"
                                value='@={viewModel.agent}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请选择特码"}'
                                list="@{viewModel.specialCodeList}"
                                required="@{false}"
                                title='@{"特    码"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.SPINNER}"
                                value='@={viewModel.specialCode}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                        </LinearLayout>

                        <!-- 第3行：始发站、目的站、运单类型 -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:orientation="horizontal">

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请输入始发站"}'
                                required="@{false}"
                                title='@{"始 发 站"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.departure}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请输入目的站"}'
                                required="@{false}"
                                title='@{"目 的 站"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.destination}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请选择运单类型"}'
                                list="@{viewModel.waybillTypeList}"
                                required="@{false}"
                                title='@{"运单类型"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.SPINNER}"
                                value='@={viewModel.waybillType}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                        </LinearLayout>

                        <!-- 第4行：总件数、实到件数、实到重量 -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:orientation="horizontal">

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请输入总件数"}'
                                required="@{false}"
                                title='@{"总 件 数"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.waybillNum}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请输入实到件数"}'
                                required="@{false}"
                                title='@{"实到件数"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.actualNum}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请输入实到重量"}'
                                required="@{false}"
                                title='@{"实到重量"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.actualWeight}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                        </LinearLayout>

                        <!-- 第5行：计费重量、品名(中)、品名(英) -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:orientation="horizontal">

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请输入计费重量"}'
                                required="@{false}"
                                title='@{"计费重量"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.billingWeight}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请输入品名(中)"}'
                                required="@{false}"
                                title='@{"品名(中)"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.goodsNameCn}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请输入品名(英)"}'
                                required="@{false}"
                                title='@{"品名(英)"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.goodsNameEn}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                        </LinearLayout>

                        <!-- 第6行：包装类型、业务类型、UN编号 -->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:orientation="horizontal">

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请选择包装类型"}'
                                list="@{viewModel.packageTypeList}"
                                required="@{false}"
                                title='@{"包装类型"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.SPINNER}"
                                value='@={viewModel.packageType}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请选择业务类型"}'
                                list="@{viewModel.businessTypeList}"
                                required="@{false}"
                                title='@{"业务类型"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.SPINNER}"
                                value='@={viewModel.businessType}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                            <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                                hint='@{"请输入UN编号"}'
                                required="@{false}"
                                title='@{"UN 编 号"}'
                                titleLength="@{5}"
                                type="@{DataLayoutType.INPUT}"
                                value='@={viewModel.unNumber}'
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_weight="1" />

                        </LinearLayout>

                        <!-- 第7行：备注（占满整行） -->
                        <com.lukouguoji.module_base.ui.weight.data.layout.PadDataLayoutNew
                            hint='@{"请输入备注"}'
                            inputHeight="@{80}"
                            required="@{false}"
                            title='@{"备    注"}'
                            titleLength="@{5}"
                            type="@{DataLayoutType.INPUT}"
                            value='@={viewModel.remark}'
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp" />

                    </LinearLayout>

                    <!-- 底部操作栏 -->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:padding="15dp">

                        <TextView
                            android:layout_width="150dp"
                            android:layout_height="50dp"
                            android:layout_marginEnd="30dp"
                            android:background="@drawable/bg_primary_radius_4"
                            android:gravity="center"
                            android:onClick="@{viewModel::onCancelClick}"
                            android:text="取消"
                            android:textColor="@color/white"
                            android:textSize="18sp" />

                        <TextView
                            android:layout_width="150dp"
                            android:layout_height="50dp"
                            android:background="@drawable/bg_primary_radius_4"
                            android:gravity="center"
                            android:onClick="@{viewModel::onSaveClick}"
                            android:text="保存"
                            android:textColor="@color/white"
                            android:textSize="18sp" />

                    </LinearLayout>

                </LinearLayout>

            </ScrollView>

        </LinearLayout>

    </FrameLayout>

</layout>
